package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag769;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT769Creator;

/**
 * @author gaosheng
 * @date 2023-03-03
 */
public class Tag39CCreator extends AbsTagCreate {

     private MT769Creator mt769Creator;

    public Tag39CCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt769Creator= (MT769Creator) absMTCreator;
    }

    public void creator()
    {
        String tag39CValue = mt769Creator.getAmountSpecification();
        mt769Creator.set("39C", tag39CValue);
    }
}

